# DummyPDOQuerySplitter

Extends \PDOQuerySplitter

Dummy query splitter: converts entire input into single SQL string

author | Michiel Rook mrook@php.net
package | phing.tasks.ext.pdo
version | $Id: 9e64e7e9e66982fa11e85ccde7b9ab5756076872 $

### Methods

## Constructor, sets the parent task and reader with SQL source

    __construct(\PDOSQLExecTask $parent, \Reader $reader)

inherited

### Arguments

#### $parent

`\PDOSQLExecTask`

#### $reader

`\Reader`

## Returns next query from SQL source, null if no more queries left

    nextQuery() : string|null

inherited abstract

### Response

`string|null`

### Properties

## Task that uses the splitter

    parent : \PDOSQLExecTask

inherited

var |

### Type(s)

`\PDOSQLExecTask`

## Reader with SQL source

    sqlReader : \BufferedReader

inherited

var |

### Type(s)

`\BufferedReader`